'***************** (c) 2006 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : LED1
'BOARD    : ZL8AVR (with ZL7AVR)
'COMPILER : BASCOM AVR
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Simple LEDs demonstration.
'
'    Jumpers settings on ZL8AVR:
'        JP7 (LED) - 1-2 (=ON)
'
'    LEDs are connected to PortC via 74HC541.
'        LED0  - PC0
'        LED1  - PC1
'        ...
'        LED7  - PC7
'
'******************************************************************************/


$regfile = "m128def.dat"
$crystal = 16000000
$hwstack = 32
$swstack = 32
$framesize = 32

Config Portc = Output

Do
  Portc = &B10101010
  Waitms 250
   Portc = &B01010101
  Waitms 250
Loop

End